Packages
List skill versions
List all published versions for a skill.
GET
/api/packages/skills/{scope}/{name}/versionsbetter-auth.session_token<token>
Cookie session from Better Auth. Requires X-Org-Id header for org-scoped routes.
In: cookie
Path Parameters
scope*string
Package scope (e.g. @my-org)
Match
^@[a-z0-9][a-z0-9-]*$name*string
Package name
Header Parameters
X-Org-Id?string
Organization ID. Required for cookie auth. Not needed for API key auth (org resolved from key).
Format
uuidcurl -X GET "https://loading/api/packages/skills/string/string/versions"{
"versions": [
{
"id": 0,
"packageId": "string",
"version": "string",
"integrity": "string",
"artifactSize": 0,
"yanked": true,
"createdBy": "string",
"createdAt": "2019-08-24T14:15:22Z"
}
]
}{
"type": "https://docs.appstrate.dev/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "Invalid or missing session",
"code": "unauthorized",
"requestId": "req_abc123"
}{
"type": "https://docs.appstrate.dev/errors/not-found",
"title": "Not Found",
"status": 404,
"detail": "Resource not found",
"code": "not_found",
"requestId": "req_abc123"
}